Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network2.232.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
2.232.0.0
Broadcast address
2.239.255.255
First usable
2.232.0.1
Last usable
2.239.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 02E80000 · Integer 48758784 to 49283071
Reverse DNS zones
232.2.in-addr.arpa
233.2.in-addr.arpa
234.2.in-addr.arpa
235.2.in-addr.arpa
236.2.in-addr.arpa
237.2.in-addr.arpa
238.2.in-addr.arpa
239.2.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000010.11101000.00000000.000000002.232.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network00000010.11101000.00000000.000000002.232.0.0
Broadcast00000010.11101111.11111111.111111112.239.255.255
Split into smaller subnets/21

2.232.0.0/13 makes 256 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
12.232.0.0/212.232.0.1 to 2.232.7.2542.232.7.2552,046
22.232.8.0/212.232.8.1 to 2.232.15.2542.232.15.2552,046
32.232.16.0/212.232.16.1 to 2.232.23.2542.232.23.2552,046
42.232.24.0/212.232.24.1 to 2.232.31.2542.232.31.2552,046
52.232.32.0/212.232.32.1 to 2.232.39.2542.232.39.2552,046
62.232.40.0/212.232.40.1 to 2.232.47.2542.232.47.2552,046
72.232.48.0/212.232.48.1 to 2.232.55.2542.232.55.2552,046
82.232.56.0/212.232.56.1 to 2.232.63.2542.232.63.2552,046
92.232.64.0/212.232.64.1 to 2.232.71.2542.232.71.2552,046
102.232.72.0/212.232.72.1 to 2.232.79.2542.232.79.2552,046
112.232.80.0/212.232.80.1 to 2.232.87.2542.232.87.2552,046
122.232.88.0/212.232.88.1 to 2.232.95.2542.232.95.2552,046
132.232.96.0/212.232.96.1 to 2.232.103.2542.232.103.2552,046
142.232.104.0/212.232.104.1 to 2.232.111.2542.232.111.2552,046
152.232.112.0/212.232.112.1 to 2.232.119.2542.232.119.2552,046
162.232.120.0/212.232.120.1 to 2.232.127.2542.232.127.2552,046
172.232.128.0/212.232.128.1 to 2.232.135.2542.232.135.2552,046
182.232.136.0/212.232.136.1 to 2.232.143.2542.232.143.2552,046
192.232.144.0/212.232.144.1 to 2.232.151.2542.232.151.2552,046
202.232.152.0/212.232.152.1 to 2.232.159.2542.232.159.2552,046
212.232.160.0/212.232.160.1 to 2.232.167.2542.232.167.2552,046
222.232.168.0/212.232.168.1 to 2.232.175.2542.232.175.2552,046
232.232.176.0/212.232.176.1 to 2.232.183.2542.232.183.2552,046
242.232.184.0/212.232.184.1 to 2.232.191.2542.232.191.2552,046
252.232.192.0/212.232.192.1 to 2.232.199.2542.232.199.2552,046
262.232.200.0/212.232.200.1 to 2.232.207.2542.232.207.2552,046
272.232.208.0/212.232.208.1 to 2.232.215.2542.232.215.2552,046
282.232.216.0/212.232.216.1 to 2.232.223.2542.232.223.2552,046
292.232.224.0/212.232.224.1 to 2.232.231.2542.232.231.2552,046
302.232.232.0/212.232.232.1 to 2.232.239.2542.232.239.2552,046
312.232.240.0/212.232.240.1 to 2.232.247.2542.232.247.2552,046
322.232.248.0/212.232.248.1 to 2.232.255.2542.232.255.2552,046
332.233.0.0/212.233.0.1 to 2.233.7.2542.233.7.2552,046
342.233.8.0/212.233.8.1 to 2.233.15.2542.233.15.2552,046
352.233.16.0/212.233.16.1 to 2.233.23.2542.233.23.2552,046
362.233.24.0/212.233.24.1 to 2.233.31.2542.233.31.2552,046
372.233.32.0/212.233.32.1 to 2.233.39.2542.233.39.2552,046
382.233.40.0/212.233.40.1 to 2.233.47.2542.233.47.2552,046
392.233.48.0/212.233.48.1 to 2.233.55.2542.233.55.2552,046
402.233.56.0/212.233.56.1 to 2.233.63.2542.233.63.2552,046
412.233.64.0/212.233.64.1 to 2.233.71.2542.233.71.2552,046
422.233.72.0/212.233.72.1 to 2.233.79.2542.233.79.2552,046
432.233.80.0/212.233.80.1 to 2.233.87.2542.233.87.2552,046
442.233.88.0/212.233.88.1 to 2.233.95.2542.233.95.2552,046
452.233.96.0/212.233.96.1 to 2.233.103.2542.233.103.2552,046
462.233.104.0/212.233.104.1 to 2.233.111.2542.233.111.2552,046
472.233.112.0/212.233.112.1 to 2.233.119.2542.233.119.2552,046
482.233.120.0/212.233.120.1 to 2.233.127.2542.233.127.2552,046
492.233.128.0/212.233.128.1 to 2.233.135.2542.233.135.2552,046
502.233.136.0/212.233.136.1 to 2.233.143.2542.233.143.2552,046
512.233.144.0/212.233.144.1 to 2.233.151.2542.233.151.2552,046
522.233.152.0/212.233.152.1 to 2.233.159.2542.233.159.2552,046
532.233.160.0/212.233.160.1 to 2.233.167.2542.233.167.2552,046
542.233.168.0/212.233.168.1 to 2.233.175.2542.233.175.2552,046
552.233.176.0/212.233.176.1 to 2.233.183.2542.233.183.2552,046
562.233.184.0/212.233.184.1 to 2.233.191.2542.233.191.2552,046
572.233.192.0/212.233.192.1 to 2.233.199.2542.233.199.2552,046
582.233.200.0/212.233.200.1 to 2.233.207.2542.233.207.2552,046
592.233.208.0/212.233.208.1 to 2.233.215.2542.233.215.2552,046
602.233.216.0/212.233.216.1 to 2.233.223.2542.233.223.2552,046
612.233.224.0/212.233.224.1 to 2.233.231.2542.233.231.2552,046
622.233.232.0/212.233.232.1 to 2.233.239.2542.233.239.2552,046
632.233.240.0/212.233.240.1 to 2.233.247.2542.233.247.2552,046
642.233.248.0/212.233.248.1 to 2.233.255.2542.233.255.2552,046
652.234.0.0/212.234.0.1 to 2.234.7.2542.234.7.2552,046
662.234.8.0/212.234.8.1 to 2.234.15.2542.234.15.2552,046
672.234.16.0/212.234.16.1 to 2.234.23.2542.234.23.2552,046
682.234.24.0/212.234.24.1 to 2.234.31.2542.234.31.2552,046
692.234.32.0/212.234.32.1 to 2.234.39.2542.234.39.2552,046
702.234.40.0/212.234.40.1 to 2.234.47.2542.234.47.2552,046
712.234.48.0/212.234.48.1 to 2.234.55.2542.234.55.2552,046
722.234.56.0/212.234.56.1 to 2.234.63.2542.234.63.2552,046
732.234.64.0/212.234.64.1 to 2.234.71.2542.234.71.2552,046
742.234.72.0/212.234.72.1 to 2.234.79.2542.234.79.2552,046
752.234.80.0/212.234.80.1 to 2.234.87.2542.234.87.2552,046
762.234.88.0/212.234.88.1 to 2.234.95.2542.234.95.2552,046
772.234.96.0/212.234.96.1 to 2.234.103.2542.234.103.2552,046
782.234.104.0/212.234.104.1 to 2.234.111.2542.234.111.2552,046
792.234.112.0/212.234.112.1 to 2.234.119.2542.234.119.2552,046
802.234.120.0/212.234.120.1 to 2.234.127.2542.234.127.2552,046
812.234.128.0/212.234.128.1 to 2.234.135.2542.234.135.2552,046
822.234.136.0/212.234.136.1 to 2.234.143.2542.234.143.2552,046
832.234.144.0/212.234.144.1 to 2.234.151.2542.234.151.2552,046
842.234.152.0/212.234.152.1 to 2.234.159.2542.234.159.2552,046
852.234.160.0/212.234.160.1 to 2.234.167.2542.234.167.2552,046
862.234.168.0/212.234.168.1 to 2.234.175.2542.234.175.2552,046
872.234.176.0/212.234.176.1 to 2.234.183.2542.234.183.2552,046
882.234.184.0/212.234.184.1 to 2.234.191.2542.234.191.2552,046
892.234.192.0/212.234.192.1 to 2.234.199.2542.234.199.2552,046
902.234.200.0/212.234.200.1 to 2.234.207.2542.234.207.2552,046
912.234.208.0/212.234.208.1 to 2.234.215.2542.234.215.2552,046
922.234.216.0/212.234.216.1 to 2.234.223.2542.234.223.2552,046
932.234.224.0/212.234.224.1 to 2.234.231.2542.234.231.2552,046
942.234.232.0/212.234.232.1 to 2.234.239.2542.234.239.2552,046
952.234.240.0/212.234.240.1 to 2.234.247.2542.234.247.2552,046
962.234.248.0/212.234.248.1 to 2.234.255.2542.234.255.2552,046
972.235.0.0/212.235.0.1 to 2.235.7.2542.235.7.2552,046
982.235.8.0/212.235.8.1 to 2.235.15.2542.235.15.2552,046
992.235.16.0/212.235.16.1 to 2.235.23.2542.235.23.2552,046
1002.235.24.0/212.235.24.1 to 2.235.31.2542.235.31.2552,046
1012.235.32.0/212.235.32.1 to 2.235.39.2542.235.39.2552,046
1022.235.40.0/212.235.40.1 to 2.235.47.2542.235.47.2552,046
1032.235.48.0/212.235.48.1 to 2.235.55.2542.235.55.2552,046
1042.235.56.0/212.235.56.1 to 2.235.63.2542.235.63.2552,046
1052.235.64.0/212.235.64.1 to 2.235.71.2542.235.71.2552,046
1062.235.72.0/212.235.72.1 to 2.235.79.2542.235.79.2552,046
1072.235.80.0/212.235.80.1 to 2.235.87.2542.235.87.2552,046
1082.235.88.0/212.235.88.1 to 2.235.95.2542.235.95.2552,046
1092.235.96.0/212.235.96.1 to 2.235.103.2542.235.103.2552,046
1102.235.104.0/212.235.104.1 to 2.235.111.2542.235.111.2552,046
1112.235.112.0/212.235.112.1 to 2.235.119.2542.235.119.2552,046
1122.235.120.0/212.235.120.1 to 2.235.127.2542.235.127.2552,046
1132.235.128.0/212.235.128.1 to 2.235.135.2542.235.135.2552,046
1142.235.136.0/212.235.136.1 to 2.235.143.2542.235.143.2552,046
1152.235.144.0/212.235.144.1 to 2.235.151.2542.235.151.2552,046
1162.235.152.0/212.235.152.1 to 2.235.159.2542.235.159.2552,046
1172.235.160.0/212.235.160.1 to 2.235.167.2542.235.167.2552,046
1182.235.168.0/212.235.168.1 to 2.235.175.2542.235.175.2552,046
1192.235.176.0/212.235.176.1 to 2.235.183.2542.235.183.2552,046
1202.235.184.0/212.235.184.1 to 2.235.191.2542.235.191.2552,046
1212.235.192.0/212.235.192.1 to 2.235.199.2542.235.199.2552,046
1222.235.200.0/212.235.200.1 to 2.235.207.2542.235.207.2552,046
1232.235.208.0/212.235.208.1 to 2.235.215.2542.235.215.2552,046
1242.235.216.0/212.235.216.1 to 2.235.223.2542.235.223.2552,046
1252.235.224.0/212.235.224.1 to 2.235.231.2542.235.231.2552,046
1262.235.232.0/212.235.232.1 to 2.235.239.2542.235.239.2552,046
1272.235.240.0/212.235.240.1 to 2.235.247.2542.235.247.2552,046
1282.235.248.0/212.235.248.1 to 2.235.255.2542.235.255.2552,046
1292.236.0.0/212.236.0.1 to 2.236.7.2542.236.7.2552,046
1302.236.8.0/212.236.8.1 to 2.236.15.2542.236.15.2552,046
1312.236.16.0/212.236.16.1 to 2.236.23.2542.236.23.2552,046
1322.236.24.0/212.236.24.1 to 2.236.31.2542.236.31.2552,046
1332.236.32.0/212.236.32.1 to 2.236.39.2542.236.39.2552,046
1342.236.40.0/212.236.40.1 to 2.236.47.2542.236.47.2552,046
1352.236.48.0/212.236.48.1 to 2.236.55.2542.236.55.2552,046
1362.236.56.0/212.236.56.1 to 2.236.63.2542.236.63.2552,046
1372.236.64.0/212.236.64.1 to 2.236.71.2542.236.71.2552,046
1382.236.72.0/212.236.72.1 to 2.236.79.2542.236.79.2552,046
1392.236.80.0/212.236.80.1 to 2.236.87.2542.236.87.2552,046
1402.236.88.0/212.236.88.1 to 2.236.95.2542.236.95.2552,046
1412.236.96.0/212.236.96.1 to 2.236.103.2542.236.103.2552,046
1422.236.104.0/212.236.104.1 to 2.236.111.2542.236.111.2552,046
1432.236.112.0/212.236.112.1 to 2.236.119.2542.236.119.2552,046
1442.236.120.0/212.236.120.1 to 2.236.127.2542.236.127.2552,046
1452.236.128.0/212.236.128.1 to 2.236.135.2542.236.135.2552,046
1462.236.136.0/212.236.136.1 to 2.236.143.2542.236.143.2552,046
1472.236.144.0/212.236.144.1 to 2.236.151.2542.236.151.2552,046
1482.236.152.0/212.236.152.1 to 2.236.159.2542.236.159.2552,046
1492.236.160.0/212.236.160.1 to 2.236.167.2542.236.167.2552,046
1502.236.168.0/212.236.168.1 to 2.236.175.2542.236.175.2552,046
1512.236.176.0/212.236.176.1 to 2.236.183.2542.236.183.2552,046
1522.236.184.0/212.236.184.1 to 2.236.191.2542.236.191.2552,046
1532.236.192.0/212.236.192.1 to 2.236.199.2542.236.199.2552,046
1542.236.200.0/212.236.200.1 to 2.236.207.2542.236.207.2552,046
1552.236.208.0/212.236.208.1 to 2.236.215.2542.236.215.2552,046
1562.236.216.0/212.236.216.1 to 2.236.223.2542.236.223.2552,046
1572.236.224.0/212.236.224.1 to 2.236.231.2542.236.231.2552,046
1582.236.232.0/212.236.232.1 to 2.236.239.2542.236.239.2552,046
1592.236.240.0/212.236.240.1 to 2.236.247.2542.236.247.2552,046
1602.236.248.0/212.236.248.1 to 2.236.255.2542.236.255.2552,046
1612.237.0.0/212.237.0.1 to 2.237.7.2542.237.7.2552,046
1622.237.8.0/212.237.8.1 to 2.237.15.2542.237.15.2552,046
1632.237.16.0/212.237.16.1 to 2.237.23.2542.237.23.2552,046
1642.237.24.0/212.237.24.1 to 2.237.31.2542.237.31.2552,046
1652.237.32.0/212.237.32.1 to 2.237.39.2542.237.39.2552,046
1662.237.40.0/212.237.40.1 to 2.237.47.2542.237.47.2552,046
1672.237.48.0/212.237.48.1 to 2.237.55.2542.237.55.2552,046
1682.237.56.0/212.237.56.1 to 2.237.63.2542.237.63.2552,046
1692.237.64.0/212.237.64.1 to 2.237.71.2542.237.71.2552,046
1702.237.72.0/212.237.72.1 to 2.237.79.2542.237.79.2552,046
1712.237.80.0/212.237.80.1 to 2.237.87.2542.237.87.2552,046
1722.237.88.0/212.237.88.1 to 2.237.95.2542.237.95.2552,046
1732.237.96.0/212.237.96.1 to 2.237.103.2542.237.103.2552,046
1742.237.104.0/212.237.104.1 to 2.237.111.2542.237.111.2552,046
1752.237.112.0/212.237.112.1 to 2.237.119.2542.237.119.2552,046
1762.237.120.0/212.237.120.1 to 2.237.127.2542.237.127.2552,046
1772.237.128.0/212.237.128.1 to 2.237.135.2542.237.135.2552,046
1782.237.136.0/212.237.136.1 to 2.237.143.2542.237.143.2552,046
1792.237.144.0/212.237.144.1 to 2.237.151.2542.237.151.2552,046
1802.237.152.0/212.237.152.1 to 2.237.159.2542.237.159.2552,046
1812.237.160.0/212.237.160.1 to 2.237.167.2542.237.167.2552,046
1822.237.168.0/212.237.168.1 to 2.237.175.2542.237.175.2552,046
1832.237.176.0/212.237.176.1 to 2.237.183.2542.237.183.2552,046
1842.237.184.0/212.237.184.1 to 2.237.191.2542.237.191.2552,046
1852.237.192.0/212.237.192.1 to 2.237.199.2542.237.199.2552,046
1862.237.200.0/212.237.200.1 to 2.237.207.2542.237.207.2552,046
1872.237.208.0/212.237.208.1 to 2.237.215.2542.237.215.2552,046
1882.237.216.0/212.237.216.1 to 2.237.223.2542.237.223.2552,046
1892.237.224.0/212.237.224.1 to 2.237.231.2542.237.231.2552,046
1902.237.232.0/212.237.232.1 to 2.237.239.2542.237.239.2552,046
1912.237.240.0/212.237.240.1 to 2.237.247.2542.237.247.2552,046
1922.237.248.0/212.237.248.1 to 2.237.255.2542.237.255.2552,046
1932.238.0.0/212.238.0.1 to 2.238.7.2542.238.7.2552,046
1942.238.8.0/212.238.8.1 to 2.238.15.2542.238.15.2552,046
1952.238.16.0/212.238.16.1 to 2.238.23.2542.238.23.2552,046
1962.238.24.0/212.238.24.1 to 2.238.31.2542.238.31.2552,046
1972.238.32.0/212.238.32.1 to 2.238.39.2542.238.39.2552,046
1982.238.40.0/212.238.40.1 to 2.238.47.2542.238.47.2552,046
1992.238.48.0/212.238.48.1 to 2.238.55.2542.238.55.2552,046
2002.238.56.0/212.238.56.1 to 2.238.63.2542.238.63.2552,046
2012.238.64.0/212.238.64.1 to 2.238.71.2542.238.71.2552,046
2022.238.72.0/212.238.72.1 to 2.238.79.2542.238.79.2552,046
2032.238.80.0/212.238.80.1 to 2.238.87.2542.238.87.2552,046
2042.238.88.0/212.238.88.1 to 2.238.95.2542.238.95.2552,046
2052.238.96.0/212.238.96.1 to 2.238.103.2542.238.103.2552,046
2062.238.104.0/212.238.104.1 to 2.238.111.2542.238.111.2552,046
2072.238.112.0/212.238.112.1 to 2.238.119.2542.238.119.2552,046
2082.238.120.0/212.238.120.1 to 2.238.127.2542.238.127.2552,046
2092.238.128.0/212.238.128.1 to 2.238.135.2542.238.135.2552,046
2102.238.136.0/212.238.136.1 to 2.238.143.2542.238.143.2552,046
2112.238.144.0/212.238.144.1 to 2.238.151.2542.238.151.2552,046
2122.238.152.0/212.238.152.1 to 2.238.159.2542.238.159.2552,046
2132.238.160.0/212.238.160.1 to 2.238.167.2542.238.167.2552,046
2142.238.168.0/212.238.168.1 to 2.238.175.2542.238.175.2552,046
2152.238.176.0/212.238.176.1 to 2.238.183.2542.238.183.2552,046
2162.238.184.0/212.238.184.1 to 2.238.191.2542.238.191.2552,046
2172.238.192.0/212.238.192.1 to 2.238.199.2542.238.199.2552,046
2182.238.200.0/212.238.200.1 to 2.238.207.2542.238.207.2552,046
2192.238.208.0/212.238.208.1 to 2.238.215.2542.238.215.2552,046
2202.238.216.0/212.238.216.1 to 2.238.223.2542.238.223.2552,046
2212.238.224.0/212.238.224.1 to 2.238.231.2542.238.231.2552,046
2222.238.232.0/212.238.232.1 to 2.238.239.2542.238.239.2552,046
2232.238.240.0/212.238.240.1 to 2.238.247.2542.238.247.2552,046
2242.238.248.0/212.238.248.1 to 2.238.255.2542.238.255.2552,046
2252.239.0.0/212.239.0.1 to 2.239.7.2542.239.7.2552,046
2262.239.8.0/212.239.8.1 to 2.239.15.2542.239.15.2552,046
2272.239.16.0/212.239.16.1 to 2.239.23.2542.239.23.2552,046
2282.239.24.0/212.239.24.1 to 2.239.31.2542.239.31.2552,046
2292.239.32.0/212.239.32.1 to 2.239.39.2542.239.39.2552,046
2302.239.40.0/212.239.40.1 to 2.239.47.2542.239.47.2552,046
2312.239.48.0/212.239.48.1 to 2.239.55.2542.239.55.2552,046
2322.239.56.0/212.239.56.1 to 2.239.63.2542.239.63.2552,046
2332.239.64.0/212.239.64.1 to 2.239.71.2542.239.71.2552,046
2342.239.72.0/212.239.72.1 to 2.239.79.2542.239.79.2552,046
2352.239.80.0/212.239.80.1 to 2.239.87.2542.239.87.2552,046
2362.239.88.0/212.239.88.1 to 2.239.95.2542.239.95.2552,046
2372.239.96.0/212.239.96.1 to 2.239.103.2542.239.103.2552,046
2382.239.104.0/212.239.104.1 to 2.239.111.2542.239.111.2552,046
2392.239.112.0/212.239.112.1 to 2.239.119.2542.239.119.2552,046
2402.239.120.0/212.239.120.1 to 2.239.127.2542.239.127.2552,046
2412.239.128.0/212.239.128.1 to 2.239.135.2542.239.135.2552,046
2422.239.136.0/212.239.136.1 to 2.239.143.2542.239.143.2552,046
2432.239.144.0/212.239.144.1 to 2.239.151.2542.239.151.2552,046
2442.239.152.0/212.239.152.1 to 2.239.159.2542.239.159.2552,046
2452.239.160.0/212.239.160.1 to 2.239.167.2542.239.167.2552,046
2462.239.168.0/212.239.168.1 to 2.239.175.2542.239.175.2552,046
2472.239.176.0/212.239.176.1 to 2.239.183.2542.239.183.2552,046
2482.239.184.0/212.239.184.1 to 2.239.191.2542.239.191.2552,046
2492.239.192.0/212.239.192.1 to 2.239.199.2542.239.199.2552,046
2502.239.200.0/212.239.200.1 to 2.239.207.2542.239.207.2552,046
2512.239.208.0/212.239.208.1 to 2.239.215.2542.239.215.2552,046
2522.239.216.0/212.239.216.1 to 2.239.223.2542.239.223.2552,046
2532.239.224.0/212.239.224.1 to 2.239.231.2542.239.231.2552,046
2542.239.232.0/212.239.232.1 to 2.239.239.2542.239.239.2552,046
2552.239.240.0/212.239.240.1 to 2.239.247.2542.239.247.2552,046
2562.239.248.0/212.239.248.1 to 2.239.255.2542.239.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses